[SCR/IDX] Lucikes Script Collection for X³: Terran Conflict [16th July 2011]

The place to discuss scripting and game modifications for X³: Terran Conflict and X³: Albion Prelude.

Moderators: Moderators for English X Forum, Scripting / Modding Moderators

Post Reply
Figge04
Posts: 55
Joined: Wed, 18. Dec 13, 17:59
x3tc

Post by Figge04 » Thu, 19. Dec 13, 10:33

thanks for the answer

In the X3TC_V3804 dir there is two directorys that's callede
scripts.original.x3ap
and
scripts.original.x3tc
(+ everything else ofc. which pretty much explain em selfs)

I aint supposede to do anything special about them?
just copy them over?

I dont get any infomation in the game yet, about a succes install

Figge04
Posts: 55
Joined: Wed, 18. Dec 13, 17:59
x3tc

Post by Figge04 » Thu, 19. Dec 13, 15:46

Im playing albion prelude btw, and im not sure if I should install his scripts in the addon directory or just the normal tc dir
and the scripts.original.x3ap scripts.original.x3tc?

User avatar
X2-Illuminatus
Moderator (Deutsch)
Moderator (Deutsch)
Posts: 21323
Joined: Sun, 2. Apr 06, 16:38
x4

Post by X2-Illuminatus » Thu, 19. Dec 13, 15:50

Scripts for X3AP should always be installed to the X3AP "Addon" directory, which can be found in the X3TC Steam installation folder.
Die komplette X-Roman-Reihe jetzt als Kindle E-Books! (Farnhams Legende, Nopileos, X3: Yoshiko, X3: Hüter der Tore, X3: Wächter der Erde)

Neuauflage der fünf X-Romane als Taschenbuch

The official X-novels Farnham's Legend and Nopileos as Kindle e-books!

Figge04
Posts: 55
Joined: Wed, 18. Dec 13, 17:59
x3tc

Post by Figge04 » Thu, 19. Dec 13, 21:38

Thanks, I've got it working now,
I just had to extract it in the addon directory as you said,
I got confused by the scripts.original.x3ap which seems to be copies of the original scripts used for backup if I have to remove the files from the scripts/mods

I wonder how much I screwed up my original TC, all the scripts I installed in there haha =)

jerry7890
Posts: 28
Joined: Mon, 13. Oct 08, 20:20

Post by jerry7890 » Sun, 2. Feb 14, 01:04

Hi all,

Anyone now what to change in Lucikes "Jump Beacon" script to use the x3ap beacons.

I'm using TECSG SCS which use the Camera Drone and i want to resolve the conflict

PS: I now the price will be 200 mil

Tnx

Sk_2013
Posts: 277
Joined: Thu, 28. May 09, 01:06
x3tc

Post by Sk_2013 » Fri, 1. Jul 16, 19:58

Howdy guys.

I installed this on top of XRM, DCSII, ADS, and a couple others. That said, I'm pretty sure the error is being thrown from CODEA.

I'm getting an error that the language file of the shiptyles is incorrect. Anyone seen this before?
Peace through superior firepower.

User avatar
DrBullwinkle
Posts: 5704
Joined: Sat, 17. Dec 11, 02:44
x3tc

Post by DrBullwinkle » Fri, 1. Jul 16, 21:36

It means that you have to install Lucike's library files.

sutech5
Posts: 9
Joined: Fri, 26. Aug 11, 14:57
x3ap

Post by sutech5 » Mon, 1. Aug 16, 16:23

I want just aske if Lucike plan support X3 AP, or what mods of his collection didnt work with AP ? His work is really amazing :)
My eng. is basic so sorry :-/

User avatar
X2-Illuminatus
Moderator (Deutsch)
Moderator (Deutsch)
Posts: 21323
Joined: Sun, 2. Apr 06, 16:38
x4

Post by X2-Illuminatus » Mon, 1. Aug 16, 17:16

All of Lucike's scripts should be compatible with X3AP, when properly installed to the X3 Terran Conflict\addon folder. You can get the newest version of his scripts from his own website http://www.xuniversum.info/. (The site is only available in German, but google translate can help to find at least the basic information (download links etc.).) Additionally, the page of the Modification Collection shows which mods are compatible with X3AP.
Die komplette X-Roman-Reihe jetzt als Kindle E-Books! (Farnhams Legende, Nopileos, X3: Yoshiko, X3: Hüter der Tore, X3: Wächter der Erde)

Neuauflage der fünf X-Romane als Taschenbuch

The official X-novels Farnham's Legend and Nopileos as Kindle e-books!

Malaras
Posts: 56
Joined: Tue, 17. Jan 12, 07:55
x4

Post by Malaras » Mon, 15. Aug 16, 07:59

Sk_2013 wrote:Howdy guys.

I installed this on top of XRM, DCSII, ADS, and a couple others. That said, I'm pretty sure the error is being thrown from CODEA.

I'm getting an error that the language file of the shiptyles is incorrect. Anyone seen this before?
I see it now with xrm and couple other smaller mods, and i have library installed as some 1 said not sure whats doing it.

EDIT: From what i gathered from google its the 8009-L044

Never modded any of the x-games so not clue whats wrong with it if anything.

User avatar
LordSekmeth
Posts: 13
Joined: Thu, 21. Nov 13, 05:03
x3tc

Post by LordSekmeth » Fri, 28. Oct 16, 21:13

Sorry for the necro post, but have anyone tried "Passenger transport and travel service" with Litcubes Unicerse? I assume it is incompatible, but anyone know for sure?
If it ain't broken, fix it anyway

Post Reply

Return to “X³: Terran Conflict / Albion Prelude - Scripts and Modding”